/* Encoder Library - Basic Example
 * http://werner.rothschopf.net/microcontroller/202202_noiasca_encoder_en.htm
 *
 * by noiasca
 * 2022-02-12 1.0.0 published
 * 2020-04-13
 */

# include <NoiascaEncoder.h>           // download library from http://werner.rothschopf.net/microcontroller/202202_noiasca_encoder_en.htm

// Change these two numbers to the pins connected to your encoder.
// avoid using pins with LEDs attached, e.g. pin 13
Encoder myEnc(2, 3);                   

void setup() {
  Serial.begin(115200);
  Serial.println(F("Basic Encoder Test:"));
  myEnc.begin();                       // call begin method in your setup()
}

long newPosition = 42;                 // the current value to be used in your sketch
long oldPosition = 42;                 // internal used previous value 

void loop() {
  newPosition = myEnc.getCounter();
  if (newPosition != oldPosition) {
    oldPosition = newPosition;
    Serial.println(newPosition);
  }
}
