/* Encoder Library - TwoKnobs Example
 * http://werner.rothschopf.net/microcontroller/202202_noiasca_encoder_en.htm
 *
 * This example code is in the public domain.
 */

#include <NoiascaEncoder.h>            // download library from http://werner.rothschopf.net/microcontroller/202202_noiasca_encoder_en.htm

// Change these pin numbers to the pins connected to your encoder.

Encoder knobLeft(2, 3);                // avoid using pins with LEDs attached e.g. pin 13
Encoder knobRight(4, 5);

void setup() {
  Serial.begin(115200);
  Serial.println(F("TwoKnobs Encoder Test:"));
  knobLeft.begin();
  knobRight.begin();
}

long positionLeft  = -42;
long positionRight = -42;

void loop() {
  long newLeft, newRight;
  newLeft = knobLeft.read();
  newRight = knobRight.read();
  if (newLeft != positionLeft || newRight != positionRight) {
    Serial.print(F("Left = "));
    Serial.print(newLeft);
    Serial.print(F(", Right = "));
    Serial.print(newRight);
    Serial.println();
    positionLeft = newLeft;
    positionRight = newRight;
  }
  // if a character is sent from the serial monitor,
  // reset both back to zero.
  if (Serial.available()) {
    Serial.read();
    Serial.println(F("Reset both knobs to zero"));
    knobLeft.write(0);
    knobRight.write(0);
  }
}
